### Enumeration

# Gio FileMonitorEvent

#### Declaration

    enum Gio.FileMonitorEvent

#### Description [src]

Specifies what type of event a monitor event is.

#### Members

Name | Description
--- | ---
`G_FILE_MONITOR_EVENT_CHANGED` | A file changed.
`G_FILE_MONITOR_EVENT_CHANGES_DONE_HINT` | A hint that this was probably the last change in a set of changes.
`G_FILE_MONITOR_EVENT_DELETED` | A file was deleted.
`G_FILE_MONITOR_EVENT_CREATED` | A file was created.
`G_FILE_MONITOR_EVENT_ATTRIBUTE_CHANGED` | A file attribute was changed.
`G_FILE_MONITOR_EVENT_PRE_UNMOUNT` | The file location will soon be unmounted.
`G_FILE_MONITOR_EVENT_UNMOUNTED` | The file location was unmounted.
`G_FILE_MONITOR_EVENT_MOVED` | The file was moved — only sent if the (deprecated) `G_FILE_MONITOR_SEND_MOVED` flag is set.
`G_FILE_MONITOR_EVENT_RENAMED` | The file was renamed within the current directory — only sent if the `G_FILE_MONITOR_WATCH_MOVES` flag is set. Since: 2.46.
`G_FILE_MONITOR_EVENT_MOVED_IN` | The file was moved into the monitored directory from another location — only sent if the `G_FILE_MONITOR_WATCH_MOVES` flag is set. Since: 2.46.
`G_FILE_MONITOR_EVENT_MOVED_OUT` | The file was moved out of the monitored directory to another location — only sent if the `G_FILE_MONITOR_WATCH_MOVES` flag is set. Since: 2.46